## ros-kinetic-moveit 0.9.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-moveit (0.9.18-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit (0.9.17-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit (0.9.16-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-moveit (0.9.15-1xenial) xenial; urgency=high

  * [fix] Build regression (#1134 <https://github.com/ros-planning/moveit/issues/1134>)
  * [improvement] Exploit the fact that our transforms are isometries (instead of general affine transformations). #1091 <https://github.com/ros-planning/moveit/issues/1091>
  * [code] cleanup, improvements (#1141 <https://github.com/ros-planning/moveit/issues/1141>, #1099 <https://github.com/ros-planning/moveit/issues/1099>, #1108 <https://github.com/ros-planning/moveit/issues/1108>)
  * Contributors: Alexander Gutenkunst, Jonathan Hechtbauer, Robert Haschke, Simon Schmeisser

 -- Dave Coleman <dave@dav.ee>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-moveit (0.9.14-1xenial) xenial; urgency=high

  * [fix] Text refrences to MoveIt! (#1020 <https://github.com/ros-planning/moveit/issues/1020>)
  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix][chomp] changelogs: migration from tf -> tf2 only accidentally became part of 0.9.12's changelog
  * [fix] Chomp package handling issue #1086 <https://github.com/ros-planning/moveit/issues/1086> that was introduced in ubi-agni/hotfix-#1012 <https://github.com/ubi-agni/hotfix-/issues/1012>
  * [fix] PlanningSceneMonitor lock #1033 <https://github.com/ros-planning/moveit/issues/1033>: Fix #868 <https://github.com/ros-planning/moveit/issues/868> (#1057 <https://github.com/ros-planning/moveit/issues/1057>)
  * [fix] optional namespace args (#929 <https://github.com/ros-planning/moveit/issues/929>)
  * [fix] CurrentStateMonitor update callback for floating joints to handle non-identity joint origins #984 <https://github.com/ros-planning/moveit/issues/984>
  * [fix] reset moveit_msgs::RobotState.is_diff to false (#968 <https://github.com/ros-planning/moveit/issues/968>) This fixes a regression introduced in #939 <https://github.com/ros-planning/moveit/issues/939>.
  * [fix][chomp] needs to depend on cmake_modules. (#976 <https://github.com/ros-planning/moveit/issues/976>)
  * [fix][moveit_ros_visualization] build issue in boost/thread/mutex.hpp (#1055 <https://github.com/ros-planning/moveit/issues/1055>)
  * [fix][moveit_ros_perception] planning scene lock when octomap updates too quickly (#920 <https://github.com/ros-planning/moveit/issues/920>)
  * [fix][moveit_fake_controller_manager] latch initial pose published by fake_controller_manager (#1092 <https://github.com/ros-planning/moveit/issues/1092>)
  * [fix][moveit_setup_assistant] Some bugs (#1022 <https://github.com/ros-planning/moveit/issues/1022>, #1013 <https://github.com/ros-planning/moveit/issues/1013>)
  * [fix] continous joint limits are always satisfied (#729 <https://github.com/ros-planning/moveit/issues/729>)
  * [capability] Include chomp packages in a list of released package suite (addressing https://github.com/ros-planning/moveit/issues/1083#issuecomment-432737000). #1127 <https://github.com/ros-planning/moveit/issues/1127>
  * [capability] adaptions for OMPL 1.4 (#903 <https://github.com/ros-planning/moveit/issues/903>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability] New screen for automatically generating interfaces to low level controllers(#951 <https://github.com/ros-planning/moveit/issues/951>, #994 <https://github.com/ros-planning/moveit/issues/994>, #908 <https://github.com/ros-planning/moveit/issues/908>)
  * [capability][moveit_setup_assistant] Perception screen for using laser scanner point clouds. (#969 <https://github.com/ros-planning/moveit/issues/969>)
  * [enhancement][GUI][moveit_setup_assistant] Logo for MoveIt! 2.0, cleanup appearance (#1059 <https://github.com/ros-planning/moveit/issues/1059>)
  * [enhancement][GUI][moveit_setup_assistant] added a setup assistant window icon (#1028 <https://github.com/ros-planning/moveit/issues/1028>)
  * [capability][chomp] Addition of CHOMP planning adapter for optimizing result of other planners (#1012 <https://github.com/ros-planning/moveit/issues/1012>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability][chomp] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * [capability][moveit_ros_planning] new dynamic-reconfigure parameter wait_for_trajectory_completion to disable waiting for convergence independently from start-state checking. (#883 <https://github.com/ros-planning/moveit/issues/883>)
  * [capability][moveit_ros_planning] Option for controller-specific duration parameters (#785 <https://github.com/ros-planning/moveit/issues/785>)
  * [capability] Added plan_only flags to pick and place (#862 <https://github.com/ros-planning/moveit/issues/862>)
  * [capability][moveit_kinematics] add IKP_Translation{X,Y,Z}AxisAngle4D to the cpp template, see https://github.com/ros-planning/moveit/issues/548#issuecomment-316298918
  * [capability] Benchmarking with different Motion Planners (STOMP, CHOMP, OMPL) (#992 <https://github.com/ros-planning/moveit/issues/992>)
  * [enhancement][warehouse] added params for timeout + #retries (#1008 <https://github.com/ros-planning/moveit/issues/1008>)
  * [enhancement][moveit_ros_planning] do not wait for robot convergence, when trajectory_execution_manager finishes with status != SUCCEEDED (#1011 <https://github.com/ros-planning/moveit/issues/1011>)


=== debian/control ===
Source: ros-kinetic-moveit
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-kinetic-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-moveit-commander, ros-kinetic-moveit-core, ros-kinetic-moveit-planners, ros-kinetic-moveit-plugins, ros-kinetic-moveit-ros, ros-kinetic-moveit-setup-assistant
Description: Meta package that contains all essential package of MoveIt!.
 Until Summer 2016 MoveIt! had been developed over multiple repositories, where developers' usability and maintenance effort was non-trivial. See the detailed discussion for the merge of several repositories.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-moveit//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
